Problem installing XML::Checker

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View

I'm new to working with the perl installation process. I'm trying to
install XML::Checker for perl on cygwin. I ran the command: cpan -i

For each dependency there seems be a problem when writing the
Makefile. The same problem happens when trying to install the
dependencies separately. Can anyone please provide suggestions? The
partial output follows:

$ cpan -i XML::Checker
CPAN: Storable loaded ok
Going to read /home/Thrapp/.cpan/Metadata
  Database was generated on Wed, 21 Mar 2007 11:09:29 GMT
Running install for module XML::Checker
Running make for T/TJ/TJMATHER/XML-Checker-0.13.tar.gz
CPAN: Digest::MD5 loaded ok
CPAN: Compress::Zlib loaded ok
Checksum for /home/Thrapp/.cpan/sources/authors/id/T/TJ/TJMATHER/XML-
Checker-0.13.tar.gz ok
Scanning cache /home/Thrapp/.cpan/build for sizes
Removing previously used /home/Thrapp/.cpan/build/XML-Checker-0.13 Going to build T/TJ/TJMATHER/XML-Checker-0.13.tar.gz

Checking if your kit is complete...
Looks good
Warning: prerequisite XML::DOM 1.29 not found.
Warning: prerequisite XML::Parser::PerlSAX 0.07 not found.
Writing Makefile for XML::Checker
---- Unsatisfied dependencies detected during [T/TJ/TJMATHER/XML-
Checker-0.13.tar.gz] -----
Shall I follow them and prepend them to the queue
of modules we are processing right now? [yes]
Running make test
  Delayed until after prerequisites
Running make install
  Delayed until after prerequisites
Running install for module XML::Parser::PerlSAX
Running make for K/KM/KMACLEOD/libxml-perl-0.08.tar.gz
Checksum for /home/Thrapp/.cpan/sources/authors/id/K/KM/KMACLEOD/
libxml-perl-0.08.tar.gz ok
Removing previously used /home/Thrapp/.cpan/build/libxml-perl-0.08 Going to build K/KM/KMACLEOD/libxml-perl-0.08.tar.gz

Checking if your kit is complete...
Looks good
Writing Makefile for libxml-perl
    -- NOT OK
Running make test
  Can't test without successful make
Running make install
  make had returned bad status, install seems impossible

Re: Problem installing XML::Checker

Quoted text here. Click to load it

That output is not terribly helpful.
What do you get if you cd to the build directory and run 'make' ?


Re: Problem installing XML::Checker wrote:
Quoted text here. Click to load it

XML::Checker is a very old module. It is not really maintained.

If you need XML validation, you should install libxml2 and then use
XML::LibXML (or just xmllint, the tool that comes with libxml2).

If you can't do that, it looks like the problem comes with modules in
the libxml-perl bundle. Try installing the modules from their own
distributions, starting with XML::DOM and then XML::Parser::PerlSAX.


Site Timeline